<?xml version='1.0' encoding='UTF-8'?>

<!-- =========== FULL CONFIGURATION FILE ================================== -->

<faces-config version="1.2" 
    xmlns="http://java.sun.com/xml/ns/javaee" 
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" 
    xsi:schemaLocation="http://java.sun.com/xml/ns/javaee http://java.sun.com/xml/ns/javaee/web-facesconfig_1_2.xsd">

    <navigation-rule>
        <navigation-case>
            <from-outcome>index</from-outcome>
            <to-view-id>/index.jsp</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>error</from-outcome>
            <to-view-id>/error.jsp</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>user</from-outcome>
            <to-view-id>/user.jsp</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>admin</from-outcome>
            <to-view-id>/admin.jsp</to-view-id>
        </navigation-case>
        <navigation-case>
            <from-outcome>registracija</from-outcome>
            <to-view-id>/registracija.jsp</to-view-id>
        </navigation-case>

    </navigation-rule>
   <managed-bean>
        <managed-bean-name>sala</managed-bean-name>
        <managed-bean-class>beans.Sala</managed-bean-class>
        <managed-bean-scope>session</managed-bean-scope>
    </managed-bean>

    <managed-bean>
        <managed-bean-name>datum</managed-bean-name>
        <managed-bean-class>beans.Datum</managed-bean-class>
        <managed-bean-scope>session</managed-bean-scope>
    </managed-bean>

    <managed-bean>
        <managed-bean-name>user</managed-bean-name>
        <managed-bean-class>beans.User</managed-bean-class>
        <managed-bean-scope>session</managed-bean-scope>
    </managed-bean>

     <managed-bean>
        <managed-bean-name>novi</managed-bean-name>
        <managed-bean-class>beans.Novi</managed-bean-class>
        <managed-bean-scope>session</managed-bean-scope>
    </managed-bean>
    <managed-bean>
        <managed-bean-name>neradni</managed-bean-name>
        <managed-bean-class>beans.Neradni</managed-bean-class>
        <managed-bean-scope>session</managed-bean-scope>
    </managed-bean>
</faces-config>
